      real function tsky(l,b)

C  Returns 408 MHz sky temperature for l,b (in degrees), from 
C  Haslam, et al. survey.  On the first call, it reads the entire
C  data file tsky.dat into memory.

      logical first
      real*4 l
      integer*2 nsky(90,180)
      data first/.true./

      if(first) then
         open(23,file='tsky.dat',
     +   form='unformatted',status='old',err=999)
         read(23) nsky
         close(23)
         first=.false.
      endif

      j=b+91.5
      if(j.gt.180) j=180
      nl=l-0.5
      if(l.lt.0.5) nl=359
      i=nl/4 + 1
      tsky=0.1*nsky(i,j)
      return

  999 print*,' ***** Unable to open file tsky.dat *****'
      stop
      end
